Subject: Re: [PATCH 1/6] cxgb4: Add register, message, and FW definitions

From: Dimitris Michailidis <[email-masked]>
Date: Tue, 30 Mar 2010 18:25:56 -0700

Stephen Hemminger wrote:
> On Tue, 30 Mar 2010 10:52:17 -0800
> Dimitris Michailidis <[email-masked]> wrote:
> 
>> +union opcode_tid {
>> +	__be32 opcode_tid;
>> +	__u8 opcode;
>> +};
>> +
> 
> The intent of the __types like __u8 etc are that these types
> should only be used by structures that are part in some way of
> a kernel to userspace API. Any structures which are only used
> in the kernel should just use the regular type (ie u8).
> 
> I say intent because many places do not follow this practice.
> 

These headers aren't meant to be seen by user space and I can certainly 
replace __u8 with u8.  I'll update the patch.